function createHTML() {
  return {
    __html: '<button onclick=\'alert("hello world");\'>hello</button>',
  };
}

function MyComponent() {
  return <div dangerouslySetInnerHTML={createHTML()} />;
}

export default MyComponent;
